package com.sunyard.chsm.model.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liulu
 * @since 2024/10/17
 */
@Data
@TableName("sp_device")
public class Device {

    private Long id;
    private String name;
    private String serviceIp;
    private Integer servicePort;
    private String manageIp;
    private Integer managePort;
    private String manufacturer;
    private String manufacturerModel;
    private String accessCredentials;

    private Boolean connected;
    private LocalDateTime lastCheckTime;
    private LocalDateTime lastConnectedTime;

    private Long groupId;
    private String groupName;
    private Integer weight;

    private String remark;
    private LocalDateTime createTime;
    private LocalDateTime updateTime;

}
